%global gem_name mini_mime
Name:                rubygem-%{gem_name}
Version:             1.0.0
Release:             1
Summary:             A lightweight mime type lookup toy
License:             MIT
URL:                 https://github.com/discourse/mini_mime
Source0:             https://rubygems.org/gems/mini_mime-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(minitest)
BuildArch:           noarch
%description
Minimal mime type implementation for use with the mail and rest-client gem.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bench
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_cache}
%{gem_spec}

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/CODE_OF_CONDUCT.md
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Sat Aug 22 2020 liyanan <liyanan32@huawei.com> - 1.0.0-1
- package init
